Bug 2012441 - general protection fault - error 0
Summary: general protection fault - error 0
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: chromium
Version: 34
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Tom "spot" Callaway
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-10-09 10:10 UTC by Florian "der-flo" Lehner
Modified: 2021-10-29 23:06 UTC (History)
3 users (show)

Fixed In Version: chromium-94.0.4606.81-1.fc34 chromium-94.0.4606.81-1.fc35
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-10-15 19:22:29 UTC
Type: Bug


Attachments (Terms of Use)

Description Florian "der-flo" Lehner 2021-10-09 10:10:40 UTC
Description of problem:

Sometimes chromium crashes and shows up errors in dmesg output:
```
traps: chromium-browse[2823] general protection fault ip:7fb2a8761963 sp:7ffd861bf860 error:0 in libc-2.33.so[7fb2a8761000+14d000]
traps: chromium-browse[4708] general protection fault ip:7fb2a8761963 sp:7ffd861c7e40 error:0 in libc-2.33.so[7fb2a8761000+14d000]
traps: chromium-browse[6555] general protection fault ip:55a6b3e425a4 sp:7fffb444d7d0 error:0 in chromium-browser[55a6aaa0d000+e8c0000]
```


Version-Release number of selected component (if applicable):

```
$ rpm -q chromium
chromium-94.0.4606.61-1.fc34.x86_64
$ rpm -q glibc
glibc-2.33-20.fc34.x86_64
glibc-2.33-20.fc34.i686
```


How reproducible:




Steps to Reproduce:
1. open chromium and browse the internet
2.
3.

Actual results:


Expected results:

chromium renders web pages and does not crash.


Additional info:

Comment 1 Florian "der-flo" Lehner 2021-10-09 10:20:55 UTC
not sure if this is related:

other trap messages in dmesg indicate also an issue in `Compositor`:

```
traps: Compositor[2922] general protection fault ip:7fb2a8761963 sp:7fb294d2c0b0 error:0 in libc-2.33.so[7fb2a8761000+14d000]
traps: Compositor[2851] general protection fault ip:7fb2a8761963 sp:7fb294d2be50 error:0 in libc-2.33.so[7fb2a8761000+14d000]
traps: Compositor[7840] general protection fault ip:7f531ba01963 sp:7f5307fcc0b0 error:0 in libc-2.33.so[7f531ba01000+14d000]
traps: Compositor[6751] general protection fault ip:7f531ba01963 sp:7f5307fcc0b0 error:0 in libc-2.33.so[7f531ba01000+14d000]
traps: Compositor[10658] general protection fault ip:7f87ee529963 sp:7f87daaf40b0 error:0 in libc-2.33.so[7f87ee529000+14d000]
```

all this is happening on a system using i3:
```
$ rpm -q i3
i3-4.19.2-4.fc34.x86_64
```

Comment 2 Florian "der-flo" Lehner 2021-10-12 18:17:14 UTC
I managed to get a stack trace:

```
[5467:1:1012/201308.832923:FATAL:ng_length_utils.cc(281)] Check failed: inline_size >= border_padding.InlineSum() ("0" vs. "3.59375")
#0 0x55786bfcfee9 base::debug::CollectStackTrace()
#1 0x55786bed52d6 base::debug::StackTrace::StackTrace()
#2 0x55786bef105b logging::LogMessage::~LogMessage()
#3 0x55786bef20b2 logging::LogMessage::~LogMessage()
#4 0x55787077056c blink::BlockSizeFromAspectRatio()
#5 0x55787137c264 blink::LayoutBlock::AvailableLogicalHeightForPercentageComputation()
#6 0x5578704cda3a blink::LayoutBox::ContainingBlockLogicalHeightForPercentageResolution()
#7 0x5578704cdafc blink::LayoutBox::ComputePercentageLogicalHeight()
#8 0x5578707788e4 blink::CalculateInitialFragmentGeometry()
#9 0x55787072da97 blink::NGBlockNode::Layout()
#10 0x55787077a37a blink::NGOutOfFlowLayoutPart::GenerateFragment()
#11 0x55787078034b blink::NGOutOfFlowLayoutPart::Layout()
#12 0x55787078074f blink::NGOutOfFlowLayoutPart::LayoutOOFNode()
#13 0x55787078a207 blink::NGOutOfFlowLayoutPart::LayoutCandidates()
#14 0x55787078aa1c blink::NGOutOfFlowLayoutPart::Run()
#15 0x55787144963a blink::NGBlockLayoutAlgorithm::FinishLayout()
#16 0x55787145220f blink::NGBlockLayoutAlgorithm::Layout()
#17 0x557871452e4d blink::NGBlockLayoutAlgorithm::Layout()
#18 0x55787072cb53 _ZN5blink12_GLOBAL__N_121CreateAlgorithmAndRunINS_22NGBlockLayoutAlgorithmEZNS0_19LayoutWithAlgorithmERKNS_23NGLayoutAlgorithmParamsEEUlPNS_27NGLayoutAlgorithmOperationsEE_EEvS5_RKT0_
#19 0x55787072ddf0 blink::NGBlockNode::Layout()
#20 0x5578713d9625 _ZZNK5blink21NGGridLayoutAlgorithm27ContributionSizeForGridItemENS0_16SizingConstraintERKNS0_12GridGeometryERKNS0_12GridItemDataENS_24GridTrackSizingDirectionENS0_24GridItemContributionTypeEPbSA_ENKUlvE0_clEv
#21 0x5578713d9d94 blink::NGGridLayoutAlgorithm::ContributionSizeForGridItem()
#22 0x5578713dad61 blink::NGGridLayoutAlgorithm::IncreaseTrackSizesToAccommodateGridItems()
#23 0x5578713dc03b blink::NGGridLayoutAlgorithm::ResolveIntrinsicTrackSizes()
#24 0x5578713dcb84 blink::NGGridLayoutAlgorithm::ComputeUsedTrackSizes()
#25 0x5578713de15b _ZZN5blink21NGGridLayoutAlgorithm6LayoutEvENKUlvE_clEv
#26 0x5578713de86e blink::NGGridLayoutAlgorithm::Layout()
#27 0x557870722951 _ZN5blink12_GLOBAL__N_121CreateAlgorithmAndRunINS_21NGGridLayoutAlgorithmEZNS0_19LayoutWithAlgorithmERKNS_23NGLayoutAlgorithmParamsEEUlPNS_27NGLayoutAlgorithmOperationsEE_EEvS5_RKT0_
#28 0x55787072ddf0 blink::NGBlockNode::Layout()
#29 0x55787144d3b5 blink::NGBlockLayoutAlgorithm::LayoutNewFormattingContext()
#30 0x5578714504b1 blink::NGBlockLayoutAlgorithm::HandleNewFormattingContext()
#31 0x5578714520c9 blink::NGBlockLayoutAlgorithm::Layout()
#32 0x557871452e4d blink::NGBlockLayoutAlgorithm::Layout()
#33 0x55787072cb53 _ZN5blink12_GLOBAL__N_121CreateAlgorithmAndRunINS_22NGBlockLayoutAlgorithmEZNS0_19LayoutWithAlgorithmERKNS_23NGLayoutAlgorithmParamsEEUlPNS_27NGLayoutAlgorithmOperationsEE_EEvS5_RKT0_
#34 0x55787072ddf0 blink::NGBlockNode::Layout()
#35 0x55787144d3b5 blink::NGBlockLayoutAlgorithm::LayoutNewFormattingContext()
#36 0x5578714504b1 blink::NGBlockLayoutAlgorithm::HandleNewFormattingContext()
#37 0x5578714520c9 blink::NGBlockLayoutAlgorithm::Layout()
#38 0x557871452e4d blink::NGBlockLayoutAlgorithm::Layout()
#39 0x55787072cb53 _ZN5blink12_GLOBAL__N_121CreateAlgorithmAndRunINS_22NGBlockLayoutAlgorithmEZNS0_19LayoutWithAlgorithmERKNS_23NGLayoutAlgorithmParamsEEUlPNS_27NGLayoutAlgorithmOperationsEE_EEvS5_RKT0_
#40 0x55787072ddf0 blink::NGBlockNode::Layout()
#41 0x55787144fb9f blink::NGBlockLayoutAlgorithm::HandleInflow()
#42 0x55787145205e blink::NGBlockLayoutAlgorithm::Layout()
#43 0x557871452e4d blink::NGBlockLayoutAlgorithm::Layout()
#44 0x55787072cb53 _ZN5blink12_GLOBAL__N_121CreateAlgorithmAndRunINS_22NGBlockLayoutAlgorithmEZNS0_19LayoutWithAlgorithmERKNS_23NGLayoutAlgorithmParamsEEUlPNS_27NGLayoutAlgorithmOperationsEE_EEvS5_RKT0_
#45 0x55787072ddf0 blink::NGBlockNode::Layout()
#46 0x55787144fb9f blink::NGBlockLayoutAlgorithm::HandleInflow()
#47 0x55787145205e blink::NGBlockLayoutAlgorithm::Layout()
#48 0x557871452e4d blink::NGBlockLayoutAlgorithm::Layout()
#49 0x55787072cb53 _ZN5blink12_GLOBAL__N_121CreateAlgorithmAndRunINS_22NGBlockLayoutAlgorithmEZNS0_19LayoutWithAlgorithmERKNS_23NGLayoutAlgorithmParamsEEUlPNS_27NGLayoutAlgorithmOperationsEE_EEvS5_RKT0_
#50 0x55787072ddf0 blink::NGBlockNode::Layout()
#51 0x55787144fb9f blink::NGBlockLayoutAlgorithm::HandleInflow()
#52 0x55787145205e blink::NGBlockLayoutAlgorithm::Layout()
#53 0x557871452e4d blink::NGBlockLayoutAlgorithm::Layout()
#54 0x55787072cb53 _ZN5blink12_GLOBAL__N_121CreateAlgorithmAndRunINS_22NGBlockLayoutAlgorithmEZNS0_19LayoutWithAlgorithmERKNS_23NGLayoutAlgorithmParamsEEUlPNS_27NGLayoutAlgorithmOperationsEE_EEvS5_RKT0_
#55 0x55787072ddf0 blink::NGBlockNode::Layout()
#56 0x55787144fb9f blink::NGBlockLayoutAlgorithm::HandleInflow()
#57 0x55787145205e blink::NGBlockLayoutAlgorithm::Layout()
#58 0x557871452e4d blink::NGBlockLayoutAlgorithm::Layout()
#59 0x55787072cb53 _ZN5blink12_GLOBAL__N_121CreateAlgorithmAndRunINS_22NGBlockLayoutAlgorithmEZNS0_19LayoutWithAlgorithmERKNS_23NGLayoutAlgorithmParamsEEUlPNS_27NGLayoutAlgorithmOperationsEE_EEvS5_RKT0_
#60 0x55787072ddf0 blink::NGBlockNode::Layout()
#61 0x557870680807 _ZZN5blink21NGFlexLayoutAlgorithm27ConstructAndAppendFlexItemsEvENKUlvE0_clEv
#62 0x557870683c0c blink::NGFlexLayoutAlgorithm::ConstructAndAppendFlexItems()
#63 0x5578706872c1 blink::NGFlexLayoutAlgorithm::LayoutInternal()
#64 0x557870688bdb blink::NGFlexLayoutAlgorithm::Layout()
#65 0x557870723d55 _ZN5blink12_GLOBAL__N_121CreateAlgorithmAndRunINS_21NGFlexLayoutAlgorithmEZNS0_19LayoutWithAlgorithmERKNS_23NGLayoutAlgorithmParamsEEUlPNS_27NGLayoutAlgorithmOperationsEE_EEvS5_RKT0_
#66 0x55787072ddf0 blink::NGBlockNode::Layout()
#67 0x55787144d3b5 blink::NGBlockLayoutAlgorithm::LayoutNewFormattingContext()
#68 0x5578714504b1 blink::NGBlockLayoutAlgorithm::HandleNewFormattingContext()
#69 0x5578714520c9 blink::NGBlockLayoutAlgorithm::Layout()
#70 0x557871452e4d blink::NGBlockLayoutAlgorithm::Layout()
#71 0x55787072cb53 _ZN5blink12_GLOBAL__N_121CreateAlgorithmAndRunINS_22NGBlockLayoutAlgorithmEZNS0_19LayoutWithAlgorithmERKNS_23NGLayoutAlgorithmParamsEEUlPNS_27NGLayoutAlgorithmOperationsEE_EEvS5_RKT0_
#72 0x55787072ddf0 blink::NGBlockNode::Layout()
#73 0x55787144fb9f blink::NGBlockLayoutAlgorithm::HandleInflow()
#74 0x55787145205e blink::NGBlockLayoutAlgorithm::Layout()
#75 0x557871452e4d blink::NGBlockLayoutAlgorithm::Layout()
#76 0x55787072cb53 _ZN5blink12_GLOBAL__N_121CreateAlgorithmAndRunINS_22NGBlockLayoutAlgorithmEZNS0_19LayoutWithAlgorithmERKNS_23NGLayoutAlgorithmParamsEEUlPNS_27NGLayoutAlgorithmOperationsEE_EEvS5_RKT0_
#77 0x55787072ddf0 blink::NGBlockNode::Layout()
#78 0x55787144fb9f blink::NGBlockLayoutAlgorithm::HandleInflow()
#79 0x55787145205e blink::NGBlockLayoutAlgorithm::Layout()
#80 0x557871452e4d blink::NGBlockLayoutAlgorithm::Layout()
#81 0x55787072cb53 _ZN5blink12_GLOBAL__N_121CreateAlgorithmAndRunINS_22NGBlockLayoutAlgorithmEZNS0_19LayoutWithAlgorithmERKNS_23NGLayoutAlgorithmParamsEEUlPNS_27NGLayoutAlgorithmOperationsEE_EEvS5_RKT0_
#82 0x55787072ddf0 blink::NGBlockNode::Layout()
#83 0x557870716b0e blink::LayoutNGMixin<>::UpdateInFlowBlockLayout()
#84 0x5578706f48ab blink::LayoutNGBlockFlowMixin<>::UpdateNGBlockLayout()
#85 0x557871381c60 blink::LayoutBlock::UpdateLayout()
#86 0x5578704747e6 blink::LayoutBlockFlow::PositionAndLayoutOnceIfNeeded()
#87 0x55787047cefb blink::LayoutBlockFlow::LayoutBlockChild()
#88 0x55787047d807 blink::LayoutBlockFlow::LayoutBlockChildren()
#89 0x557870480599 blink::LayoutBlockFlow::LayoutChildren()
#90 0x557870480a01 blink::LayoutBlockFlow::UpdateBlockLayout()
#91 0x55787061b63b blink::LayoutView::UpdateBlockLayout()
#92 0x557871381c60 blink::LayoutBlock::UpdateLayout()
#93 0x55787061be1f blink::LayoutView::UpdateLayout()
#94 0x5578711096a6 blink::LocalFrameView::PerformLayout()
#95 0x55787110adc6 blink::LocalFrameView::UpdateLayout()
#96 0x55787110b794 blink::LocalFrameView::UpdateStyleAndLayoutInternal()
#97 0x55787110b868 blink::LocalFrameView::UpdateStyleAndLayout()
#98 0x557870e02a91 blink::Document::UpdateStyleAndLayout()
#99 0x557870e02d63 blink::Document::UpdateStyleAndLayoutForNode()
#100 0x55787166f5c5 blink::CSSComputedStyleDeclaration::GetPropertyCSSValue()
#101 0x55787166f90f blink::CSSComputedStyleDeclaration::GetPropertyCSSValue()
#102 0x55787166fb17 blink::CSSComputedStyleDeclaration::GetPropertyValueInternal()
#103 0x5578716bf764 blink::CSSStyleDeclaration::AnonymousNamedGetter()
#104 0x557871f930bd blink::V8CSSStyleDeclaration::NamedPropertyGetterCallback()
#105 0x557869d53b85 v8::internal::PropertyCallbackArguments::CallNamedGetter()
#106 0x557869f65d33 v8::internal::(anonymous namespace)::GetPropertyWithInterceptorInternal()
#107 0x55786a01260c v8::internal::Object::GetProperty()
#108 0x557869d61f87 v8::internal::LoadIC::Load()
#109 0x557869d62a30 v8::internal::__RT_impl_Runtime_LoadNoFeedbackIC_Miss()
#110 0x557869d62efd v8::internal::Runtime_LoadNoFeedbackIC_Miss()
#111 0x178d0008fa78 <unknown>
Task trace:
#0 0x55786c41aeec mojo::SimpleWatcher::Context::Notify()

Received signal 6
#0 0x55786bfcfee9 base::debug::CollectStackTrace()
#1 0x55786bed52d6 base::debug::StackTrace::StackTrace()
#2 0x55786bfcf484 base::debug::(anonymous namespace)::StackDumpSignalHandler()
#3 0x7fdc85599a20 (/usr/lib64/libpthread-2.33.so+0x13a1f)
#4 0x7fdc841882a2 __GI_raise
#5 0x7fdc841718a4 __GI_abort
#6 0x55786bfcef85 base::debug::BreakDebugger()
#7 0x55786bef1835 logging::LogMessage::~LogMessage()
#8 0x55786bef20b2 logging::LogMessage::~LogMessage()
#9 0x55787077056c blink::BlockSizeFromAspectRatio()
#10 0x55787137c264 blink::LayoutBlock::AvailableLogicalHeightForPercentageComputation()
#11 0x5578704cda3a blink::LayoutBox::ContainingBlockLogicalHeightForPercentageResolution()
#12 0x5578704cdafc blink::LayoutBox::ComputePercentageLogicalHeight()
#13 0x5578707788e4 blink::CalculateInitialFragmentGeometry()
#14 0x55787072da97 blink::NGBlockNode::Layout()
#15 0x55787077a37a blink::NGOutOfFlowLayoutPart::GenerateFragment()
#16 0x55787078034b blink::NGOutOfFlowLayoutPart::Layout()
#17 0x55787078074f blink::NGOutOfFlowLayoutPart::LayoutOOFNode()
#18 0x55787078a207 blink::NGOutOfFlowLayoutPart::LayoutCandidates()
#19 0x55787078aa1c blink::NGOutOfFlowLayoutPart::Run()
#20 0x55787144963a blink::NGBlockLayoutAlgorithm::FinishLayout()
#21 0x55787145220f blink::NGBlockLayoutAlgorithm::Layout()
#22 0x557871452e4d blink::NGBlockLayoutAlgorithm::Layout()
#23 0x55787072cb53 _ZN5blink12_GLOBAL__N_121CreateAlgorithmAndRunINS_22NGBlockLayoutAlgorithmEZNS0_19LayoutWithAlgorithmERKNS_23NGLayoutAlgorithmParamsEEUlPNS_27NGLayoutAlgorithmOperationsEE_EEvS5_RKT0_
#24 0x55787072ddf0 blink::NGBlockNode::Layout()
#25 0x5578713d9625 _ZZNK5blink21NGGridLayoutAlgorithm27ContributionSizeForGridItemENS0_16SizingConstraintERKNS0_12GridGeometryERKNS0_12GridItemDataENS_24GridTrackSizingDirectionENS0_24GridItemContributionTypeEPbSA_ENKUlvE0_clEv
#26 0x5578713d9d94 blink::NGGridLayoutAlgorithm::ContributionSizeForGridItem()
#27 0x5578713dad61 blink::NGGridLayoutAlgorithm::IncreaseTrackSizesToAccommodateGridItems()
#28 0x5578713dc03b blink::NGGridLayoutAlgorithm::ResolveIntrinsicTrackSizes()
#29 0x5578713dcb84 blink::NGGridLayoutAlgorithm::ComputeUsedTrackSizes()
#30 0x5578713de15b _ZZN5blink21NGGridLayoutAlgorithm6LayoutEvENKUlvE_clEv
#31 0x5578713de86e blink::NGGridLayoutAlgorithm::Layout()
#32 0x557870722951 _ZN5blink12_GLOBAL__N_121CreateAlgorithmAndRunINS_21NGGridLayoutAlgorithmEZNS0_19LayoutWithAlgorithmERKNS_23NGLayoutAlgorithmParamsEEUlPNS_27NGLayoutAlgorithmOperationsEE_EEvS5_RKT0_
#33 0x55787072ddf0 blink::NGBlockNode::Layout()
#34 0x55787144d3b5 blink::NGBlockLayoutAlgorithm::LayoutNewFormattingContext()
#35 0x5578714504b1 blink::NGBlockLayoutAlgorithm::HandleNewFormattingContext()
#36 0x5578714520c9 blink::NGBlockLayoutAlgorithm::Layout()
#37 0x557871452e4d blink::NGBlockLayoutAlgorithm::Layout()
#38 0x55787072cb53 _ZN5blink12_GLOBAL__N_121CreateAlgorithmAndRunINS_22NGBlockLayoutAlgorithmEZNS0_19LayoutWithAlgorithmERKNS_23NGLayoutAlgorithmParamsEEUlPNS_27NGLayoutAlgorithmOperationsEE_EEvS5_RKT0_
#39 0x55787072ddf0 blink::NGBlockNode::Layout()
#40 0x55787144d3b5 blink::NGBlockLayoutAlgorithm::LayoutNewFormattingContext()
#41 0x5578714504b1 blink::NGBlockLayoutAlgorithm::HandleNewFormattingContext()
#42 0x5578714520c9 blink::NGBlockLayoutAlgorithm::Layout()
#43 0x557871452e4d blink::NGBlockLayoutAlgorithm::Layout()
#44 0x55787072cb53 _ZN5blink12_GLOBAL__N_121CreateAlgorithmAndRunINS_22NGBlockLayoutAlgorithmEZNS0_19LayoutWithAlgorithmERKNS_23NGLayoutAlgorithmParamsEEUlPNS_27NGLayoutAlgorithmOperationsEE_EEvS5_RKT0_
#45 0x55787072ddf0 blink::NGBlockNode::Layout()
#46 0x55787144fb9f blink::NGBlockLayoutAlgorithm::HandleInflow()
#47 0x55787145205e blink::NGBlockLayoutAlgorithm::Layout()
#48 0x557871452e4d blink::NGBlockLayoutAlgorithm::Layout()
#49 0x55787072cb53 _ZN5blink12_GLOBAL__N_121CreateAlgorithmAndRunINS_22NGBlockLayoutAlgorithmEZNS0_19LayoutWithAlgorithmERKNS_23NGLayoutAlgorithmParamsEEUlPNS_27NGLayoutAlgorithmOperationsEE_EEvS5_RKT0_
#50 0x55787072ddf0 blink::NGBlockNode::Layout()
#51 0x55787144fb9f blink::NGBlockLayoutAlgorithm::HandleInflow()
#52 0x55787145205e blink::NGBlockLayoutAlgorithm::Layout()
#53 0x557871452e4d blink::NGBlockLayoutAlgorithm::Layout()
#54 0x55787072cb53 _ZN5blink12_GLOBAL__N_121CreateAlgorithmAndRunINS_22NGBlockLayoutAlgorithmEZNS0_19LayoutWithAlgorithmERKNS_23NGLayoutAlgorithmParamsEEUlPNS_27NGLayoutAlgorithmOperationsEE_EEvS5_RKT0_
#55 0x55787072ddf0 blink::NGBlockNode::Layout()
#56 0x55787144fb9f blink::NGBlockLayoutAlgorithm::HandleInflow()
#57 0x55787145205e blink::NGBlockLayoutAlgorithm::Layout()
#58 0x557871452e4d blink::NGBlockLayoutAlgorithm::Layout()
#59 0x55787072cb53 _ZN5blink12_GLOBAL__N_121CreateAlgorithmAndRunINS_22NGBlockLayoutAlgorithmEZNS0_19LayoutWithAlgorithmERKNS_23NGLayoutAlgorithmParamsEEUlPNS_27NGLayoutAlgorithmOperationsEE_EEvS5_RKT0_
#60 0x55787072ddf0 blink::NGBlockNode::Layout()
#61 0x55787144fb9f blink::NGBlockLayoutAlgorithm::HandleInflow()
#62 0x55787145205e blink::NGBlockLayoutAlgorithm::Layout()
#63 0x557871452e4d blink::NGBlockLayoutAlgorithm::Layout()
#64 0x55787072cb53 _ZN5blink12_GLOBAL__N_121CreateAlgorithmAndRunINS_22NGBlockLayoutAlgorithmEZNS0_19LayoutWithAlgorithmERKNS_23NGLayoutAlgorithmParamsEEUlPNS_27NGLayoutAlgorithmOperationsEE_EEvS5_RKT0_
#65 0x55787072ddf0 blink::NGBlockNode::Layout()
#66 0x557870680807 _ZZN5blink21NGFlexLayoutAlgorithm27ConstructAndAppendFlexItemsEvENKUlvE0_clEv
#67 0x557870683c0c blink::NGFlexLayoutAlgorithm::ConstructAndAppendFlexItems()
#68 0x5578706872c1 blink::NGFlexLayoutAlgorithm::LayoutInternal()
#69 0x557870688bdb blink::NGFlexLayoutAlgorithm::Layout()
#70 0x557870723d55 _ZN5blink12_GLOBAL__N_121CreateAlgorithmAndRunINS_21NGFlexLayoutAlgorithmEZNS0_19LayoutWithAlgorithmERKNS_23NGLayoutAlgorithmParamsEEUlPNS_27NGLayoutAlgorithmOperationsEE_EEvS5_RKT0_
#71 0x55787072ddf0 blink::NGBlockNode::Layout()
#72 0x55787144d3b5 blink::NGBlockLayoutAlgorithm::LayoutNewFormattingContext()
#73 0x5578714504b1 blink::NGBlockLayoutAlgorithm::HandleNewFormattingContext()
#74 0x5578714520c9 blink::NGBlockLayoutAlgorithm::Layout()
#75 0x557871452e4d blink::NGBlockLayoutAlgorithm::Layout()
#76 0x55787072cb53 _ZN5blink12_GLOBAL__N_121CreateAlgorithmAndRunINS_22NGBlockLayoutAlgorithmEZNS0_19LayoutWithAlgorithmERKNS_23NGLayoutAlgorithmParamsEEUlPNS_27NGLayoutAlgorithmOperationsEE_EEvS5_RKT0_
#77 0x55787072ddf0 blink::NGBlockNode::Layout()
#78 0x55787144fb9f blink::NGBlockLayoutAlgorithm::HandleInflow()
#79 0x55787145205e blink::NGBlockLayoutAlgorithm::Layout()
#80 0x557871452e4d blink::NGBlockLayoutAlgorithm::Layout()
#81 0x55787072cb53 _ZN5blink12_GLOBAL__N_121CreateAlgorithmAndRunINS_22NGBlockLayoutAlgorithmEZNS0_19LayoutWithAlgorithmERKNS_23NGLayoutAlgorithmParamsEEUlPNS_27NGLayoutAlgorithmOperationsEE_EEvS5_RKT0_
#82 0x55787072ddf0 blink::NGBlockNode::Layout()
#83 0x55787144fb9f blink::NGBlockLayoutAlgorithm::HandleInflow()
#84 0x55787145205e blink::NGBlockLayoutAlgorithm::Layout()
#85 0x557871452e4d blink::NGBlockLayoutAlgorithm::Layout()
#86 0x55787072cb53 _ZN5blink12_GLOBAL__N_121CreateAlgorithmAndRunINS_22NGBlockLayoutAlgorithmEZNS0_19LayoutWithAlgorithmERKNS_23NGLayoutAlgorithmParamsEEUlPNS_27NGLayoutAlgorithmOperationsEE_EEvS5_RKT0_
#87 0x55787072ddf0 blink::NGBlockNode::Layout()
#88 0x557870716b0e blink::LayoutNGMixin<>::UpdateInFlowBlockLayout()
#89 0x5578706f48ab blink::LayoutNGBlockFlowMixin<>::UpdateNGBlockLayout()
#90 0x557871381c60 blink::LayoutBlock::UpdateLayout()
#91 0x5578704747e6 blink::LayoutBlockFlow::PositionAndLayoutOnceIfNeeded()
#92 0x55787047cefb blink::LayoutBlockFlow::LayoutBlockChild()
#93 0x55787047d807 blink::LayoutBlockFlow::LayoutBlockChildren()
#94 0x557870480599 blink::LayoutBlockFlow::LayoutChildren()
#95 0x557870480a01 blink::LayoutBlockFlow::UpdateBlockLayout()
#96 0x55787061b63b blink::LayoutView::UpdateBlockLayout()
#97 0x557871381c60 blink::LayoutBlock::UpdateLayout()
#98 0x55787061be1f blink::LayoutView::UpdateLayout()
#99 0x5578711096a6 blink::LocalFrameView::PerformLayout()
#100 0x55787110adc6 blink::LocalFrameView::UpdateLayout()
#101 0x55787110b794 blink::LocalFrameView::UpdateStyleAndLayoutInternal()
#102 0x55787110b868 blink::LocalFrameView::UpdateStyleAndLayout()
#103 0x557870e02a91 blink::Document::UpdateStyleAndLayout()
#104 0x557870e02d63 blink::Document::UpdateStyleAndLayoutForNode()
#105 0x55787166f5c5 blink::CSSComputedStyleDeclaration::GetPropertyCSSValue()
#106 0x55787166f90f blink::CSSComputedStyleDeclaration::GetPropertyCSSValue()
#107 0x55787166fb17 blink::CSSComputedStyleDeclaration::GetPropertyValueInternal()
#108 0x5578716bf764 blink::CSSStyleDeclaration::AnonymousNamedGetter()
#109 0x557871f930bd blink::V8CSSStyleDeclaration::NamedPropertyGetterCallback()
#110 0x557869d53b85 v8::internal::PropertyCallbackArguments::CallNamedGetter()
#111 0x557869f65d33 v8::internal::(anonymous namespace)::GetPropertyWithInterceptorInternal()
#112 0x55786a01260c v8::internal::Object::GetProperty()
#113 0x557869d61f87 v8::internal::LoadIC::Load()
#114 0x557869d62a30 v8::internal::__RT_impl_Runtime_LoadNoFeedbackIC_Miss()
#115 0x557869d62efd v8::internal::Runtime_LoadNoFeedbackIC_Miss()
#116 0x178d0008fa78 <unknown>
  r8: 0000000000000000  r9: 00007fff5c6700c0 r10: 0000000000000008 r11: 0000000000000246
 r12: 00007fff5c671400 r13: 00007fff5c671430 r14: 00007fff5c6718c8 r15: 00007fff5c670c00
  di: 0000000000000002  si: 00007fff5c6700c0  bp: 00007fdc843108f0  bx: 00007fdc82c5d2c0
  dx: 0000000000000000  ax: 0000000000000000  cx: 00007fdc841882a2  sp: 00007fff5c6700c0
  ip: 00007fdc841882a2 efl: 0000000000000246 cgf: 002b000000000033 erf: 0000000000000000
 trp: 0000000000000000 msk: 0000000000000000 cr2: 0000000000000000
[end of stack trace]
Received signal 11 <unknown> 03e800000001
#0 0x55786bfcfee9 base::debug::CollectStackTrace()
#1 0x55786bed52d6 base::debug::StackTrace::StackTrace()
#2 0x55786bfcf484 base::debug::(anonymous namespace)::StackDumpSignalHandler()
#3 0x7fdc85599a20 (/usr/lib64/libpthread-2.33.so+0x13a1f)
#4 0x7fdc84171963 __GI_abort
#5 0x55786bfcef85 base::debug::BreakDebugger()
#6 0x55786bef1835 logging::LogMessage::~LogMessage()
#7 0x55786bef20b2 logging::LogMessage::~LogMessage()
#8 0x55787077056c blink::BlockSizeFromAspectRatio()
#9 0x55787137c264 blink::LayoutBlock::AvailableLogicalHeightForPercentageComputation()
#10 0x5578704cda3a blink::LayoutBox::ContainingBlockLogicalHeightForPercentageResolution()
#11 0x5578704cdafc blink::LayoutBox::ComputePercentageLogicalHeight()
#12 0x5578707788e4 blink::CalculateInitialFragmentGeometry()
#13 0x55787072da97 blink::NGBlockNode::Layout()
#14 0x55787077a37a blink::NGOutOfFlowLayoutPart::GenerateFragment()
#15 0x55787078034b blink::NGOutOfFlowLayoutPart::Layout()
#16 0x55787078074f blink::NGOutOfFlowLayoutPart::LayoutOOFNode()
#17 0x55787078a207 blink::NGOutOfFlowLayoutPart::LayoutCandidates()
#18 0x55787078aa1c blink::NGOutOfFlowLayoutPart::Run()
#19 0x55787144963a blink::NGBlockLayoutAlgorithm::FinishLayout()
#20 0x55787145220f blink::NGBlockLayoutAlgorithm::Layout()
#21 0x557871452e4d blink::NGBlockLayoutAlgorithm::Layout()
#22 0x55787072cb53 _ZN5blink12_GLOBAL__N_121CreateAlgorithmAndRunINS_22NGBlockLayoutAlgorithmEZNS0_19LayoutWithAlgorithmERKNS_23NGLayoutAlgorithmParamsEEUlPNS_27NGLayoutAlgorithmOperationsEE_EEvS5_RKT0_
#23 0x55787072ddf0 blink::NGBlockNode::Layout()
#24 0x5578713d9625 _ZZNK5blink21NGGridLayoutAlgorithm27ContributionSizeForGridItemENS0_16SizingConstraintERKNS0_12GridGeometryERKNS0_12GridItemDataENS_24GridTrackSizingDirectionENS0_24GridItemContributionTypeEPbSA_ENKUlvE0_clEv
#25 0x5578713d9d94 blink::NGGridLayoutAlgorithm::ContributionSizeForGridItem()
#26 0x5578713dad61 blink::NGGridLayoutAlgorithm::IncreaseTrackSizesToAccommodateGridItems()
#27 0x5578713dc03b blink::NGGridLayoutAlgorithm::ResolveIntrinsicTrackSizes()
#28 0x5578713dcb84 blink::NGGridLayoutAlgorithm::ComputeUsedTrackSizes()
#29 0x5578713de15b _ZZN5blink21NGGridLayoutAlgorithm6LayoutEvENKUlvE_clEv
#30 0x5578713de86e blink::NGGridLayoutAlgorithm::Layout()
#31 0x557870722951 _ZN5blink12_GLOBAL__N_121CreateAlgorithmAndRunINS_21NGGridLayoutAlgorithmEZNS0_19LayoutWithAlgorithmERKNS_23NGLayoutAlgorithmParamsEEUlPNS_27NGLayoutAlgorithmOperationsEE_EEvS5_RKT0_
#32 0x55787072ddf0 blink::NGBlockNode::Layout()
#33 0x55787144d3b5 blink::NGBlockLayoutAlgorithm::LayoutNewFormattingContext()
#34 0x5578714504b1 blink::NGBlockLayoutAlgorithm::HandleNewFormattingContext()
#35 0x5578714520c9 blink::NGBlockLayoutAlgorithm::Layout()
#36 0x557871452e4d blink::NGBlockLayoutAlgorithm::Layout()
#37 0x55787072cb53 _ZN5blink12_GLOBAL__N_121CreateAlgorithmAndRunINS_22NGBlockLayoutAlgorithmEZNS0_19LayoutWithAlgorithmERKNS_23NGLayoutAlgorithmParamsEEUlPNS_27NGLayoutAlgorithmOperationsEE_EEvS5_RKT0_
#38 0x55787072ddf0 blink::NGBlockNode::Layout()
#39 0x55787144d3b5 blink::NGBlockLayoutAlgorithm::LayoutNewFormattingContext()
#40 0x5578714504b1 blink::NGBlockLayoutAlgorithm::HandleNewFormattingContext()
#41 0x5578714520c9 blink::NGBlockLayoutAlgorithm::Layout()
#42 0x557871452e4d blink::NGBlockLayoutAlgorithm::Layout()
#43 0x55787072cb53 _ZN5blink12_GLOBAL__N_121CreateAlgorithmAndRunINS_22NGBlockLayoutAlgorithmEZNS0_19LayoutWithAlgorithmERKNS_23NGLayoutAlgorithmParamsEEUlPNS_27NGLayoutAlgorithmOperationsEE_EEvS5_RKT0_
#44 0x55787072ddf0 blink::NGBlockNode::Layout()
#45 0x55787144fb9f blink::NGBlockLayoutAlgorithm::HandleInflow()
#46 0x55787145205e blink::NGBlockLayoutAlgorithm::Layout()
#47 0x557871452e4d blink::NGBlockLayoutAlgorithm::Layout()
#48 0x55787072cb53 _ZN5blink12_GLOBAL__N_121CreateAlgorithmAndRunINS_22NGBlockLayoutAlgorithmEZNS0_19LayoutWithAlgorithmERKNS_23NGLayoutAlgorithmParamsEEUlPNS_27NGLayoutAlgorithmOperationsEE_EEvS5_RKT0_
#49 0x55787072ddf0 blink::NGBlockNode::Layout()
#50 0x55787144fb9f blink::NGBlockLayoutAlgorithm::HandleInflow()
#51 0x55787145205e blink::NGBlockLayoutAlgorithm::Layout()
#52 0x557871452e4d blink::NGBlockLayoutAlgorithm::Layout()
#53 0x55787072cb53 _ZN5blink12_GLOBAL__N_121CreateAlgorithmAndRunINS_22NGBlockLayoutAlgorithmEZNS0_19LayoutWithAlgorithmERKNS_23NGLayoutAlgorithmParamsEEUlPNS_27NGLayoutAlgorithmOperationsEE_EEvS5_RKT0_
#54 0x55787072ddf0 blink::NGBlockNode::Layout()
#55 0x55787144fb9f blink::NGBlockLayoutAlgorithm::HandleInflow()
#56 0x55787145205e blink::NGBlockLayoutAlgorithm::Layout()
#57 0x557871452e4d blink::NGBlockLayoutAlgorithm::Layout()
#58 0x55787072cb53 _ZN5blink12_GLOBAL__N_121CreateAlgorithmAndRunINS_22NGBlockLayoutAlgorithmEZNS0_19LayoutWithAlgorithmERKNS_23NGLayoutAlgorithmParamsEEUlPNS_27NGLayoutAlgorithmOperationsEE_EEvS5_RKT0_
#59 0x55787072ddf0 blink::NGBlockNode::Layout()
#60 0x55787144fb9f blink::NGBlockLayoutAlgorithm::HandleInflow()
#61 0x55787145205e blink::NGBlockLayoutAlgorithm::Layout()
#62 0x557871452e4d blink::NGBlockLayoutAlgorithm::Layout()
#63 0x55787072cb53 _ZN5blink12_GLOBAL__N_121CreateAlgorithmAndRunINS_22NGBlockLayoutAlgorithmEZNS0_19LayoutWithAlgorithmERKNS_23NGLayoutAlgorithmParamsEEUlPNS_27NGLayoutAlgorithmOperationsEE_EEvS5_RKT0_
#64 0x55787072ddf0 blink::NGBlockNode::Layout()
#65 0x557870680807 _ZZN5blink21NGFlexLayoutAlgorithm27ConstructAndAppendFlexItemsEvENKUlvE0_clEv
#66 0x557870683c0c blink::NGFlexLayoutAlgorithm::ConstructAndAppendFlexItems()
#67 0x5578706872c1 blink::NGFlexLayoutAlgorithm::LayoutInternal()
#68 0x557870688bdb blink::NGFlexLayoutAlgorithm::Layout()
#69 0x557870723d55 _ZN5blink12_GLOBAL__N_121CreateAlgorithmAndRunINS_21NGFlexLayoutAlgorithmEZNS0_19LayoutWithAlgorithmERKNS_23NGLayoutAlgorithmParamsEEUlPNS_27NGLayoutAlgorithmOperationsEE_EEvS5_RKT0_
#70 0x55787072ddf0 blink::NGBlockNode::Layout()
#71 0x55787144d3b5 blink::NGBlockLayoutAlgorithm::LayoutNewFormattingContext()
#72 0x5578714504b1 blink::NGBlockLayoutAlgorithm::HandleNewFormattingContext()
#73 0x5578714520c9 blink::NGBlockLayoutAlgorithm::Layout()
#74 0x557871452e4d blink::NGBlockLayoutAlgorithm::Layout()
#75 0x55787072cb53 _ZN5blink12_GLOBAL__N_121CreateAlgorithmAndRunINS_22NGBlockLayoutAlgorithmEZNS0_19LayoutWithAlgorithmERKNS_23NGLayoutAlgorithmParamsEEUlPNS_27NGLayoutAlgorithmOperationsEE_EEvS5_RKT0_
#76 0x55787072ddf0 blink::NGBlockNode::Layout()
#77 0x55787144fb9f blink::NGBlockLayoutAlgorithm::HandleInflow()
#78 0x55787145205e blink::NGBlockLayoutAlgorithm::Layout()
#79 0x557871452e4d blink::NGBlockLayoutAlgorithm::Layout()
#80 0x55787072cb53 _ZN5blink12_GLOBAL__N_121CreateAlgorithmAndRunINS_22NGBlockLayoutAlgorithmEZNS0_19LayoutWithAlgorithmERKNS_23NGLayoutAlgorithmParamsEEUlPNS_27NGLayoutAlgorithmOperationsEE_EEvS5_RKT0_
#81 0x55787072ddf0 blink::NGBlockNode::Layout()
#82 0x55787144fb9f blink::NGBlockLayoutAlgorithm::HandleInflow()
#83 0x55787145205e blink::NGBlockLayoutAlgorithm::Layout()
#84 0x557871452e4d blink::NGBlockLayoutAlgorithm::Layout()
#85 0x55787072cb53 _ZN5blink12_GLOBAL__N_121CreateAlgorithmAndRunINS_22NGBlockLayoutAlgorithmEZNS0_19LayoutWithAlgorithmERKNS_23NGLayoutAlgorithmParamsEEUlPNS_27NGLayoutAlgorithmOperationsEE_EEvS5_RKT0_
#86 0x55787072ddf0 blink::NGBlockNode::Layout()
#87 0x557870716b0e blink::LayoutNGMixin<>::UpdateInFlowBlockLayout()
#88 0x5578706f48ab blink::LayoutNGBlockFlowMixin<>::UpdateNGBlockLayout()
#89 0x557871381c60 blink::LayoutBlock::UpdateLayout()
#90 0x5578704747e6 blink::LayoutBlockFlow::PositionAndLayoutOnceIfNeeded()
#91 0x55787047cefb blink::LayoutBlockFlow::LayoutBlockChild()
#92 0x55787047d807 blink::LayoutBlockFlow::LayoutBlockChildren()
#93 0x557870480599 blink::LayoutBlockFlow::LayoutChildren()
#94 0x557870480a01 blink::LayoutBlockFlow::UpdateBlockLayout()
#95 0x55787061b63b blink::LayoutView::UpdateBlockLayout()
#96 0x557871381c60 blink::LayoutBlock::UpdateLayout()
#97 0x55787061be1f blink::LayoutView::UpdateLayout()
#98 0x5578711096a6 blink::LocalFrameView::PerformLayout()
#99 0x55787110adc6 blink::LocalFrameView::UpdateLayout()
#100 0x55787110b794 blink::LocalFrameView::UpdateStyleAndLayoutInternal()
#101 0x55787110b868 blink::LocalFrameView::UpdateStyleAndLayout()
#102 0x557870e02a91 blink::Document::UpdateStyleAndLayout()
#103 0x557870e02d63 blink::Document::UpdateStyleAndLayoutForNode()
#104 0x55787166f5c5 blink::CSSComputedStyleDeclaration::GetPropertyCSSValue()
#105 0x55787166f90f blink::CSSComputedStyleDeclaration::GetPropertyCSSValue()
#106 0x55787166fb17 blink::CSSComputedStyleDeclaration::GetPropertyValueInternal()
#107 0x5578716bf764 blink::CSSStyleDeclaration::AnonymousNamedGetter()
#108 0x557871f930bd blink::V8CSSStyleDeclaration::NamedPropertyGetterCallback()
#109 0x557869d53b85 v8::internal::PropertyCallbackArguments::CallNamedGetter()
#110 0x557869f65d33 v8::internal::(anonymous namespace)::GetPropertyWithInterceptorInternal()
#111 0x55786a01260c v8::internal::Object::GetProperty()
#112 0x557869d61f87 v8::internal::LoadIC::Load()
#113 0x557869d62a30 v8::internal::__RT_impl_Runtime_LoadNoFeedbackIC_Miss()
#114 0x557869d62efd v8::internal::Runtime_LoadNoFeedbackIC_Miss()
#115 0x178d0008fa78 <unknown>
  r8: 0000000000000000  r9: 00007fff5c6700c0 r10: 0000000000000008 r11: 0000000000000246
 r12: 00007fff5c671400 r13: 00007fff5c671430 r14: 00007fff5c6718c8 r15: 00007fff5c670c00
  di: 0000000000000002  si: 00007fff5c6700c0  bp: 00007fdc843108f0  bx: 00007fdc82c5d2c0
  dx: 0000000000000000  ax: 0000000000000000  cx: 00007fdc841882a2  sp: 00007fff5c6701e0
  ip: 00007fdc84171963 efl: 0000000000010246 cgf: 002b000000000033 erf: 0000000000000000
 trp: 000000000000000d msk: 0000000000000000 cr2: 0000000000000000
[end of stack trace]
```

Comment 3 Fedora Update System 2021-10-14 14:40:30 UTC
FEDORA-2021-5ffabdc080 has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2021-5ffabdc080

Comment 4 Fedora Update System 2021-10-14 14:40:43 UTC
FEDORA-2021-116eff380f has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-116eff380f

Comment 5 Fedora Update System 2021-10-14 15:58:05 UTC
FEDORA-2021-116eff380f has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-116eff380f`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-116eff380f

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2021-10-14 18:55:19 UTC
FEDORA-2021-5ffabdc080 has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-5ffabdc080`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-5ffabdc080

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2021-10-15 19:22:29 UTC
FEDORA-2021-116eff380f has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 8 Fedora Update System 2021-10-29 23:06:04 UTC
FEDORA-2021-5ffabdc080 has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.